
SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `miniflux124`
--

-- --------------------------------------------------------

--
-- Table structure for table `favicons`
--

CREATE TABLE `favicons` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `hash` varchar(255) DEFAULT NULL,
  `type` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `hash` (`hash`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `favicons_feeds`
--

CREATE TABLE `favicons_feeds` (
  `feed_id` bigint(20) NOT NULL,
  `favicon_id` int(11) NOT NULL,
  PRIMARY KEY (`feed_id`,`favicon_id`),
  KEY `favicon_id` (`favicon_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `feeds`
--

CREATE TABLE `feeds` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `feed_url` varchar(255) NOT NULL,
  `site_url` varchar(255) DEFAULT NULL,
  `title` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `expiration` bigint(20) DEFAULT '0',
  `last_checked` bigint(20) DEFAULT '0',
  `last_modified` varchar(255) DEFAULT NULL,
  `etag` varchar(255) DEFAULT NULL,
  `enabled` tinyint(1) DEFAULT '1',
  `download_content` tinyint(1) DEFAULT '0',
  `parsing_error` int(11) DEFAULT '0',
  `parsing_error_message` varchar(255) DEFAULT NULL,
  `rtl` tinyint(1) DEFAULT '0',
  `cloak_referrer` tinyint(1) DEFAULT '0',
  `ignore_expiration` tinyint(1) DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `user_id` (`user_id`,`feed_url`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `feeds_groups`
--

CREATE TABLE `feeds_groups` (
  `feed_id` bigint(20) NOT NULL,
  `group_id` int(11) NOT NULL,
  PRIMARY KEY (`feed_id`,`group_id`),
  KEY `group_id` (`group_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `groups`
--

CREATE TABLE `groups` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `title` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `user_id` (`user_id`,`title`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `items`
--

CREATE TABLE `items` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `feed_id` bigint(20) NOT NULL,
  `checksum` varchar(255) NOT NULL,
  `status` varchar(10) NOT NULL,
  `bookmark` int(11) DEFAULT '0',
  `url` text NOT NULL,
  `title` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `author` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `content` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `updated` bigint(20) DEFAULT NULL,
  `enclosure_url` text,
  `enclosure_type` varchar(50) DEFAULT NULL,
  `language` varchar(50) DEFAULT NULL,
  `rtl` tinyint(1) DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `feed_id` (`feed_id`,`checksum`),
  KEY `items_user_status_idx` (`user_id`,`status`),
  KEY `items_user_feed_idx` (`user_id`,`feed_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `remember_me`
--

CREATE TABLE `remember_me` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `ip` varchar(255) DEFAULT NULL,
  `user_agent` varchar(255) DEFAULT NULL,
  `token` varchar(255) DEFAULT NULL,
  `sequence` varchar(255) DEFAULT NULL,
  `expiration` bigint(20) DEFAULT NULL,
  `date_creation` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `schema_version`
--

CREATE TABLE `schema_version` (
  `version` int(11) DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `schema_version`
--

INSERT INTO `schema_version` VALUES
(3);

-- --------------------------------------------------------

--
-- Table structure for table `users`
--

CREATE TABLE `users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(50) NOT NULL,
  `password` varchar(255) NOT NULL,
  `is_admin` tinyint(1) DEFAULT '0',
  `last_login` bigint(20) DEFAULT NULL,
  `api_token` varchar(255) NOT NULL,
  `bookmarklet_token` varchar(255) NOT NULL,
  `cronjob_token` varchar(255) NOT NULL,
  `feed_token` varchar(255) NOT NULL,
  `fever_token` varchar(255) NOT NULL,
  `fever_api_key` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `username` (`username`),
  UNIQUE KEY `api_token` (`api_token`),
  UNIQUE KEY `bookmarklet_token` (`bookmarklet_token`),
  UNIQUE KEY `cronjob_token` (`cronjob_token`),
  UNIQUE KEY `feed_token` (`feed_token`),
  UNIQUE KEY `fever_token` (`fever_token`),
  UNIQUE KEY `fever_api_key` (`fever_api_key`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

--
-- Dumping data for table `users`
--

INSERT INTO `users` VALUES
(1, '[[admin_username]]', '[[admin_pass]]', 1, [[timestamp]], '[[api_token]]', '[[bookmarklet_token]]', '[[cronjob_token]]', '[[feed_token]]', '[[fever_token]]', '[[api_key]]');

-- --------------------------------------------------------

--
-- Table structure for table `user_settings`
--

CREATE TABLE `user_settings` (
  `user_id` int(11) NOT NULL,
  `key` varchar(255) NOT NULL,
  `value` text NOT NULL,
  PRIMARY KEY (`user_id`,`key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `user_settings`
--

INSERT INTO `user_settings` VALUES
(1, 'autoflush', '15'),
(1, 'autoflush_unread', '45'),
(1, 'favicons', '1'),
(1, 'frontend_updatecheck_interval', '10'),
(1, 'image_proxy', '0'),
(1, 'instapaper_enabled', '0'),
(1, 'items_display_mode', 'summaries'),
(1, 'items_per_page', '100'),
(1, 'items_sorting_direction', 'desc'),
(1, 'item_title_link', 'full'),
(1, 'language', '[[language]]'),
(1, 'nocontent', '0'),
(1, 'original_marks_read', '1'),
(1, 'pinboard_enabled', '0'),
(1, 'pinboard_tags', 'miniflux'),
(1, 'redirect_nothing_to_read', 'feeds'),
(1, 'theme', 'original'),
(1, 'timezone', 'UTC');

--
-- Constraints for dumped tables
--

--
-- Constraints for table `favicons_feeds`
--
ALTER TABLE `favicons_feeds`
  ADD CONSTRAINT `favicons_feeds_ibfk_1` FOREIGN KEY (`favicon_id`) REFERENCES `favicons` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `favicons_feeds_ibfk_2` FOREIGN KEY (`feed_id`) REFERENCES `feeds` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `feeds`
--
ALTER TABLE `feeds`
  ADD CONSTRAINT `feeds_ibfk_1` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `feeds_groups`
--
ALTER TABLE `feeds_groups`
  ADD CONSTRAINT `feeds_groups_ibfk_1` FOREIGN KEY (`group_id`) REFERENCES `groups` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `feeds_groups_ibfk_2` FOREIGN KEY (`feed_id`) REFERENCES `feeds` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `groups`
--
ALTER TABLE `groups`
  ADD CONSTRAINT `groups_ibfk_1` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `items`
--
ALTER TABLE `items`
  ADD CONSTRAINT `items_ibfk_1` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `items_ibfk_2` FOREIGN KEY (`feed_id`) REFERENCES `feeds` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `remember_me`
--
ALTER TABLE `remember_me`
  ADD CONSTRAINT `remember_me_ibfk_1` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `user_settings`
--
ALTER TABLE `user_settings`
  ADD CONSTRAINT `user_settings_ibfk_1` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
